{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function center_window, Get_Property\r\nDECLARE SUBROUTINE Set_Property\r\n\r\n$INSERT CUST_EPI_PART_EQUATES\r\n$insert logical\r\n\r\nIF INDEX( CreateParam, 'CENTER', 1 ) THEN\r\n    void = Center_Window( @window )\r\nEND ELSE\r\n    Set_Property( @window, 'VISIBLE', 1 )\r\nEND\r\n\r\nCustEpiPartKey = CreateParam\r\n\r\nCustEpiPartRec = XLATE('CUST_EPI_PART',CustEpiPartKey,'','X')\r\n\r\n\r\nCustRDS        = CustEpiPartRec<CUST_EPI_PART_SHIP_CUST_RDS$>\r\nCOCFront       = CustEpiPartRec<CUST_EPI_PART_SHIP_COC_FRONT$>\r\nCOCBack        = CustEpiPartRec<CUST_EPI_PART_SHIP_COC_BACK$>\r\nNCRRej         = CustEpiPartRec<CUST_EPI_PART_SHIP_NCR_REJ$>\r\nCOCFrontCopies = CustEpiPartRec<CUST_EPI_PART_SHIP_COC_FRONT_COPIES$>\r\nCOCBackCopies  = CustEpiPartRec<CUST_EPI_PART_SHIP_COC_BACK_COPIES$>\r\n\r\nIF CustRDS THEN\r\n\tSet_Property(@WINDOW:'.CUST_RDS','CHECK',TRUE$)\r\nEND\r\n\r\nIF COCBack THEN\r\n\tSet_Property(@WINDOW:'.BACK_PAGE','CHECK',TRUE$)\r\n\tSet_Property(@WINDOW:'.BACK_PAGE_COPY','TEXT',COCBackCopies)\r\nEND ELSE\r\n\tSet_Property(@WINDOW:'.BACK_PAGE','CHECK',FALSE$)\r\n\tSet_Property(@WINDOW:'.BACK_PAGE_COPY','TEXT','')\r\nEND\r\n\r\nIF COCFront THEN\r\n\tSet_Property(@WINDOW:'.FRONT_PAGE','CHECK',TRUE$)\r\n\tSet_Property(@WINDOW:'.FRONT_PAGE_COPY','TEXT',COCFrontCopies)\r\nEND ELSE\r\n\tSet_Property(@WINDOW:'.FRONT_PAGE','CHECK',FALSE$)\r\n\tSet_Property(@WINDOW:'.FRONT_PAGE_COPY','TEXT','')\r\nEND\r\n\r\nSet_Property(@WINDOW:'.NCR_REJ_CNT','TEXT',NCRRej)\r\n\r\nRETURN 1"
        }
    }
}